using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Threading.Tasks;

namespace KendoCoreMenuSeparator.Models
{
    public class MenuCollection
    {
        public List<MenuViewModel> Menus
        {
            get;
            set;
        }
    }
    public class MenuViewModel
    {
        public int MenuId
        {
            get;
            set;
        }
        public int ParentMenuId
        {
            get;
            set;
        }

        public string MenuTitle
        {
            get;
            set;
        }

        public int MenuSource
        {
            get;
            set;
        }
        public bool IsHeader
        {
            get;
            set;
        }
        public string ControllerName
        {
            get;
            set;
        }
        public string ActionName
        {
            get;
            set;
        }
        public string Url
        {
            get;
            set;
        }
    }
}
